<?foreach ($arResult["ITEMS"] as $key => $arElement)
{	
	if(is_array($arElement["PREVIEW_PICTURE"]))
	{
		$arFileTmp = CFile::ResizeImageGet(		
						$arElement["DETAIL_PICTURE"],		
						array("width" => 60, "height" => 100),		
						BX_RESIZE_IMAGE_PROPORTIONAL,		
						false		
					);		
		$arSize = getimagesize($_SERVER["DOCUMENT_ROOT"].$arFileTmp["src"]);		
		$arResult["ITEMS"][$key]["PREVIEW_IMG"] = array(		
						"SRC" => $arFileTmp["src"],		
						"WIDTH" => IntVal($arSize[0]),		
						"HEIGHT" => IntVal($arSize[1]),		
					);	
	}
	elseif(is_array($arElement["DETAIL_PICTURE"]))	
	{	
		$arFileTmp = CFile::ResizeImageGet(		
						$arElement["DETAIL_PICTURE"],		
						array("width" => 60, "height" => 100),		
						BX_RESIZE_IMAGE_PROPORTIONAL,		
						false		
					);		
		$arSize = getimagesize($_SERVER["DOCUMENT_ROOT"].$arFileTmp["src"]);		
		$arResult["ITEMS"][$key]["PREVIEW_IMG"] = array(		
						"SRC" => $arFileTmp["src"],		
						"WIDTH" => IntVal($arSize[0]),		
						"HEIGHT" => IntVal($arSize[1]),		
					);	
	}		
}?>

